Get all users
curl --request GET \
--url https://api.vantage.sh/v2/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/users",
"first": "https://api.vantage.sh/v2/users?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/users?page=1",
"prev": null
},
"users": [
{
"token": "usr_aa5cce4180981299",
"name": "Jeanice Bins",
"email": "jeanice_bins@torp-huels.name",
"role": "Owner",
"last_seen_at": "2024-01-01"
},
{
"token": "usr_2372916b9f9589e7",
"name": "Otto Goyette",
"email": "otto_goyette@cronin.net",
"role": "Owner",
"last_seen_at": "2024-01-01"
}
]
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}Users
Get all users
Return all Users that the current API token has access to.
GET
/
users
Get all users
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.
⌘I